<?php

# Download CryptoPhoto PHP lib from https://cryptophoto.com/admin/api
include("CryptoPhotoUtils.php");

$server      = "https://cryptophoto.com";
$private_key = "xxx"; # Your CryptoPhoto Private API Key
$public_key  = "yyy"; # Your CryptoPhoto Public API Key
$salt        = "random-salt-string";
$uid         = "userId"; # Your users internal ID
$tvkey       = "key-of-a-transaction-verification-template"; # see https://cryptophoto.com/info/cptv-templates

$error = "";
$success = "";
$sid = '';

if (isset($_POST['message'])) {
  if (isset($_POST['cpJWSrfc7515']) && isset($_POST['cpTVresponse'])) {

    $cp = new CryptoPhotoUtils($server, $private_key, $public_key, sha1($uid . $salt));

    $res = $cp->verify_cptv_response($_POST); // verify transaction response

    if ($cp->is_valid) {// response validate
      // do something with form values based on $_POST['cpTVresponse'] which
      // contains the response from the transaction
      $success = 'Message sent and received: ' . $_POST['cpTVresponse'];
    } else {
      $error = $cp->error;
    }
  }
}

$cp = new CryptoPhotoUtils($server, $private_key, $public_key, sha1($uid . $salt));
$cp->start_session($_SERVER['REMOTE_ADDR'], false);

if ($cp->is_valid) {
  $sid = $cp->sid;
} else {
  $error = $cp->error . ( $cp->errdesc ? ' ' . $cp->errdesc : '' );
}

?><!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>Send Message</title>
</head>

<body style="text-align:center">
  <h2>Send Message</h2>
  <form action="" method="post" autocomplete="off">
    <?php if ($success) { ?><p><?php echo $success ?></p><?php } ?>
    <?php if ($error) { ?><p>Error: <?php echo $error ?></p><?php } ?>
    Message: <input type="text" name="message"><br>
    <input type="submit" value="Send">
</form>
<script type='text/javascript' src='<?php echo $server ?>/api/tv?key=<?php echo $tvkey ?>&sid=<?php echo $sid ?>' async='true'></script>
</body>
</html>